/**
 * @Description: 技能培训
 * @Author: 空白格
 * @Date: 2022-08-12 09:31:28
 * @LastEditors: 空白格
 * @LastEditTime: 2022-08-12 11:32:00
 * @FilePath: \veterans_client_web\src\api\SkillTraining\index.js
 * @Copyright: Copyright (c) 2016~2022 by 空白格, All Rights Reserved.
 */
import request from '@/utils/request'
/**
 * 获取报班通知数据
 * @param {*} params
 * @returns
 */
export function getClassNoticeData(params) {
  return request({
    url: '/app/learnpackage/classNoticeList',
    method: 'get',
    headers: {
      noLoginFlag: true
    },
    params
  })
}

/**
 * 获取技能包数据
 * @param {*} params
 * @returns
 */
export function getPackageData(params) {
  return request({
    url: '/app/learnpackage/skillList',
    method: 'get',
    headers: {
      noLoginFlag: true
    },
    params
  })
}

/**
 * 获取个人学习时长数据
 * @param {*} params
 * @returns
 */
export function getDurationCount(params) {
  return request({
    url: '/app/learnpackage/count',
    method: 'get',
    params
  })
}

/**
 * 报名班级
 * @param {*} params
 * @returns
 */
export function signUpClass(data) {
  return request({
    url: '/app/learnmember',
    method: 'post',
    data
  })
}
